Subject: Re: Wildcard command with CHOOSE

From: "Rosen, Brian" <[email-masked]>
Date: Mon, 25 Sep 2000 09:38:31 -0400

I think we do.  I think the most interesting cases of wildcard
response is on a set of terminations that have common
characteristics (like all the physical terminations in a
trunk GW).  The "Name Pattern" mechanism will be helpful for
this.

Restricting it to "whole gateway only" is not acceptable, I think.

Brian

> -----Original Message-----
> From: Christian Groves [mailto:[email-masked]]
> Sent: Sunday, September 24, 2000 12:14 PM
> To: Rosen, Brian
> Cc: [email-masked]
> Subject: Re: Wildcard command with CHOOSE
>
>
> G'Day Brian,
>
> Do we really need to specify this? If you do a w- TermID=? you're only
> going to get back one set of values whether or not you have w-.
>
> Below is the text I intend on adding to the implementors
> guide based on
> one of your previous examples.
>
> Does this help at all?
>
> Cheers, Christian
> =============================================================
> 9.3   Audit Response with and without wilcard response (w-)
>
> Description:  There is some confusion on what should be sent in the
> response to an Audit in the cases where you have wilcarded the context
> or termination and have specified wildcarded response.
> Reference:    Subject: RE: Audit of Packages
> Date: Wed, 13 Sep 2000 09:42:31 -0400
> From: "Rosen, Brian" <[email-masked]>
> To: "'Christian Groves'" <[email-masked]>
> CC: [email-masked]
>
> [Begin Clarification]
> Assume the gateway has 4 terminations : t1/1, t1/2, t2/1 and t2/2
> Assume terminations t1/* has implemented packages aaa and bbb and
> terminations t2/* has implemented packages ccc and ddd.
> Assume context 1 has t1/1 and t2/1 in it, and context 2 has t1/2 and
> t2/2 in it.
> The command:
> Context=1{Audit=t1/1{Audit{Packages}}
> Returns:
> Context=1{Audit=t1/1{Packages{aaa,bbb}}}}
> The command:
> Context=*{Audit=t2/*{Audit{Packages}}
> Returns:
> Context=1{Audit=t2/1{Packages{ccc,ddd}}},
> Context=2{Audit=t2/2{Packages{ccc,ddd}}}
> The command:
> Context=*{W-Audit=*{Audit{Packages}}
> Returns:
> Context=*{W-Audit=*{Packages{aaa,bbb,ccc,ddd}}
> [End Clarification]
> =============================================================
>
>
> "Rosen, Brian" wrote:
> >
> > The text currently states:
> > When ALL is used in the TerminationID of a command, the effect is
> >    identical to repeating the command with each of the matching
> >    TerminationIDs.  Since each of these commands may generate a
> >    response, the size of the entire response may be large.  If
> >    individual responses are not required, a wildcard response may be
> >    requested.  In such a case, a single response is generated, which
> >    contains the UNION of all of the individual responses which
> >    otherwise would have been generated, with duplicate values
> >    suppressed.
> >
> > Notice that this seems to imply that wildcard response can
> > only be used with ALL.  I think this is incorrect, and it
> > can be used with CHOOSE as in W-Audit=term/*{Audit{...
> >
> > This is grist for the Implementer's Guide.
> >
> > Brian
>
>